Skip to content
Navigation

Export a computed financial model as a CSV or XLSX download

POST
https://api.sureshake.com/v2/entities/{id}/models/{templateKey}/export

Path parameters

  • id
    string
    required
    format: uuid
  • templateKey
    string
    required
    maxLength: 64 · minLength: 1

Request body JSON required

  • format
    csv
    or
    xlsx
    required
  • assumptions
    optional
    map of
    number
    default: {}
  • drivers
    optional
    object
    default: {}
    • revenue_growth
      map of
      number
      required
    • ebitda_margin
      map of
      number
      required
    • other_income
      map of
      number
      required
    • capex_pct_revenue
      map of
      number
      required
    • nwc_pct_revenue
      map of
      number
      required
    • da_pct_revenue
      map of
      number
      required
    • tax_rate
      map of
      number
      required

Returns

200

Default Response

JSON

Any of the following:

  • string
  • Option 2

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close